Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156441 - ctrl + arrowkeys function reversely in right-to-left locales
Summary: ctrl + arrowkeys function reversely in right-to-left locales
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 09:18 UTC by Farzaneh Sarafraz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-02 13:53:07 UTC


Attachments (Terms of Use)

Description Farzaneh Sarafraz 2005-04-30 09:18:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
in right-to-left locales, ctrl + right arrowkey is supposed to jump the cursor to the previous word and ctrl + left arrowkey is supposed to jump to the next word. their function is reverse. arrowkeys on their own work properly: the right arrowkey moves towards the begining of the line and the left one moves towards the end.


Version-Release number of selected component (if applicable):
gedit-2.10.2-3

How reproducible:
Always

Steps to Reproduce:
1. run LANG=fa_IR gedit and choose Persian keyboard.
2. type something whith some spaces.
3. hold ctrl and press righ/left keys.
  

Actual Results:  the  curser moved forward in the text with right key and moved backward in the text with left key.

Expected Results:  the  curser should have moved backward in the text with right key and should have moved forward in the text with left key.

Additional info:

Comment 1 Roozbeh Pournader 2006-02-02 13:53:07 UTC
Upstream bug is:
http://bugzilla.gnome.org/show_bug.cgi?id=136059


Note You need to log in before you can comment on or make changes to this bug.